Update Site

Update a site. <Warning title="Enterprise Only">This endpoint requires an Enterprise workspace.</Warning> Required scope | `sites:write`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Request

This endpoint expects an object.
namestringOptional
The name of the site
parentFolderIdstring or nullOptional
The parent folder ID of the site

Response

Request was successful
idstringformat: "objectid"
Unique identifier for the Site
workspaceIdstringOptionalformat: "objectid"
Unique identifier for the Workspace
createdOnstringOptionalformat: "date-time"
Date the Site was created
displayNamestringOptional
Name given to Site
shortNamestringOptional
Slugified version of name
lastPublishedstringOptionalformat: "date-time"
Date the Site was last published
lastUpdatedstringOptionalformat: "date-time"
Date the Site was last updated
previewUrlstringOptionalformat: "uri"
URL of a generated image for the given Site
timeZonestringOptional
Site timezone set under Site Settings
parentFolderIdstring or nullOptionalformat: "objectid"
The ID of the parent folder the Site exists in
customDomainslist of objectsOptional
localesobjectOptional
dataCollectionEnabledbooleanOptional
Indicates if data collection is enabled for the site.
dataCollectionTypeenumOptional
The type of data collection enabled for the site.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error